## mrtdreader 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

SET(CMAKE_BUILD_TYPE Release CACHE STRING "If build type is not specified on command line, build Release")

project (mrtdreader)

find_package(PkgConfig)
INCLUDE(CheckIncludeFiles)

pkg_check_modules(NFC libnfc)
CHECK_INCLUDE_FILES(gcrypt.h HAVE_GCRYPT)

if(NOT NFC_FOUND)
    MESSAGE(FATAL_ERROR "The development files for libnfc are needed")
endif()

if(NOT HAVE_GCRYPT)
    MESSAGE(FATAL_ERROR "The development files for libgcrypt are needed")
endif()

set(MRTD_VERSION 0.1.4)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/mrtd.pc.in ${CMAKE_CURRENT_BINARY_DIR}/mrtd.pc)

if(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/mrtd.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/${CMAKE_LIBRARY_ARCHITECTURE}/pkgconfig)
else()
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/mrtd.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)
endif()

add_subdirectory(src)
add_subdirectory(test)

=== src/CMakeLists.txt ===
add_library(mrtd SHARED bac.c bachelper.c fileread.c hardware.c crypto-gcrypt.c)
target_link_libraries(mrtd nfc)
target_link_libraries(mrtd usb)
target_link_libraries(mrtd gcrypt)

add_executable(mrtdreader mrtdreader.c)
target_link_libraries(mrtdreader mrtd)

set_target_properties(mrtd PROPERTIES VERSION 0.0.0 SOVERSION 0)

install(TARGETS mrtdreader DESTINATION bin)
if(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
 install(TARGETS mrtd DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE})
else()
 install(TARGETS mrtd DESTINATION lib)
endif()

install(FILES mrtd.h DESTINATION include/mrtd)
install(FILES bac.h DESTINATION include/mrtd)
install(FILES bachelper.h DESTINATION include/mrtd)
install(FILES crypto.h DESTINATION include/mrtd)
install(FILES fileread.h DESTINATION include/mrtd)

=== debian/changelog ===
mrtdreader (0.1.4-1) unstable; urgency=low

  * Initial release (Closes: #771708)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 13 Dec 2014 12:38:34 +0100

=== debian/control ===
Source: mrtdreader
Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               pkg-config,
               libnfc-dev,
               libgcrypt20-dev
Standards-Version: 3.9.6
Vcs-Browser: https://github.com/rubund/mrtdreader/tree/debian
Vcs-Git: git://github.com/rubund/mrtdreader.git -b debian
Homepage: https://github.com/rubund/mrtdreader

Package: libmrtd0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: MRTD - Machine-readable travel document library
 Machine-readable travel documents such as passports nowadays usually contain
 an RFID chip for storing various data. This library provides useful
 functions for reading out the data from these documents. This version of the
 library supports the Basic Access Control (BAC). It uses several cryptographic
 functions from either libgcrypt or libtomcrypt (depending on compile-time
 options) in order to do the necessary decryption of the content of the MRTDs.
 The key for the BAC-scheme is derived from the Machine-readable zone (MRZ)
 which is printed on the MRTD.
 .
 The library depends on libnfc for the hardware interaction and only devices
 supported by libnfc will therefore work.

Package: libmrtd-dev
Architecture: any
Section: libdevel
Depends: libmrtd0 (= ${binary:Version}),
         libgcrypt20-dev,
         libnfc-dev,
         ${misc:Depends}
Description: Development files for libmrtd0
 Machine-readable travel documents such as passports nowadays usually contain
 an RFID chip for storing various data. This library provides useful
 functions for reading out the data from these documents. This version of the
 library supports the Basic Access Control (BAC). It uses several cryptographic
 functions from either libgcrypt or libtomcrypt (depending on compile-time
 options) in order to do the necessary decryption of the content of the MRTDs.
 The key for the BAC-scheme is derived from the Machine-readable zone (MRZ)
 which is printed on the MRTD.
 .
 The library depends on libnfc for the hardware interaction and only devices
 supported by libnfc will therefore work.
 .
 This package contains header files for building programs linked with
 libmrtd0.

Package: libmrtd0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libmrtd0 (= ${binary:Version}),
         ${misc:Depends}
Description: debug symbols for libmrtd0
 Machine-readable travel documents such as passports nowadays usually contain
 an RFID chip for storing various data. This library provides useful
 functions for reading out the data from these documents. This version of the
 library supports the Basic Access Control (BAC). It uses several cryptographic
 functions from either libgcrypt or libtomcrypt (depending on compile-time
 options) in order to do the necessary decryption of the content of the MRTDs.
 The key for the BAC-scheme is derived from the Machine-readable zone (MRZ)
 which is printed on the MRTD.
 .
 The library depends on libnfc for the hardware interaction and only devices
 supported by libnfc will therefore work.
 .
 This package contains symbol tables for debugging.

Package: mrtdreader
Architecture: any
Depends: libmrtd0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Reader for machine-readable travel documents (MRTDs / passports)
 This program takes as input the content of the machine-readable zone of
 machine-readable travel documents and then reads out some data and dumps the
 facial image to a file.
 .
 It is the example application delivered together with libmrtd.
 .
 Only reader devices which are fully supported by libnfc will work.

## mrtdreader 0.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     MESSAGE(FATAL_ERROR "The development files for libgcrypt are needed")
 endif()
 
-set(MRTD_VERSION 0.1.4)
+set(MRTD_VERSION 0.1.5)
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

=== debian/changelog ===
mrtdreader (0.1.5-2) unstable; urgency=low

  * Uploaded to unstable
  * debian/mrtdreader.1: Fixed typo in man page

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 23 May 2015 11:08:15 +0200

mrtdreader (0.1.5-1) experimental; urgency=medium

  * New upstream release
    - patches/01_fix_regression.patch fixed upstream: removed
  * debian/control: Added "Suggests: graphicsmagick"
  * debian/copyright: Added year 2015

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 10 Jan 2015 13:12:21 +0100

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Description: MRTD - Machine-readable travel document library
  Machine-readable travel documents such as passports nowadays usually contain
- an RFID chip for storing various data. This library provides useful
- functions for reading out the data from these documents. This version of the
- library supports the Basic Access Control (BAC). It uses several cryptographic
+ an RFID chip for storing various data. This library provides useful functions
+ for reading out the data from these documents. This version of the library
+ supports the Basic Access Control (BAC). It uses several cryptographic
  functions from either libgcrypt or libtomcrypt (depending on compile-time
  options) in order to do the necessary decryption of the content of the MRTDs.
  The key for the BAC-scheme is derived from the Machine-readable zone (MRZ)
@@ -40,9 +40,9 @@
          ${misc:Depends}
 Description: Development files for libmrtd0
  Machine-readable travel documents such as passports nowadays usually contain
- an RFID chip for storing various data. This library provides useful
- functions for reading out the data from these documents. This version of the
- library supports the Basic Access Control (BAC). It uses several cryptographic
+ an RFID chip for storing various data. This library provides useful functions
+ for reading out the data from these documents. This version of the library
+ supports the Basic Access Control (BAC). It uses several cryptographic
  functions from either libgcrypt or libtomcrypt (depending on compile-time
  options) in order to do the necessary decryption of the content of the MRTDs.
  The key for the BAC-scheme is derived from the Machine-readable zone (MRZ)
@@ -62,9 +62,9 @@
          ${misc:Depends}
 Description: debug symbols for libmrtd0
  Machine-readable travel documents such as passports nowadays usually contain
- an RFID chip for storing various data. This library provides useful
- functions for reading out the data from these documents. This version of the
- library supports the Basic Access Control (BAC). It uses several cryptographic
+ an RFID chip for storing various data. This library provides useful functions
+ for reading out the data from these documents. This version of the library
+ supports the Basic Access Control (BAC). It uses several cryptographic
  functions from either libgcrypt or libtomcrypt (depending on compile-time
  options) in order to do the necessary decryption of the content of the MRTDs.
  The key for the BAC-scheme is derived from the Machine-readable zone (MRZ)
@@ -80,6 +80,7 @@
 Depends: libmrtd0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Suggests: graphicsmagick
 Description: Reader for machine-readable travel documents (MRTDs / passports)
  This program takes as input the content of the machine-readable zone of
  machine-readable travel documents and then reads out some data and dumps the

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')


%:
	dh $@

override_dh_strip:
	dh_strip -plibmrtd0 --keep-debug --dbg-package=libmrtd0-dbg
	dh_strip -pmrtdreader


get-orig-source: $(info I: $(PKG)_$(VER))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --force-download --download-version $(VER) $(PKD)

## mrtdreader 0.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     MESSAGE(FATAL_ERROR "The development files for libgcrypt are needed")
 endif()
 
-set(MRTD_VERSION 0.1.5)
+set(MRTD_VERSION 0.1.6)
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 add_executable(mrtdreader mrtdreader.c)
 target_link_libraries(mrtdreader mrtd)
 
-set_target_properties(mrtd PROPERTIES VERSION 0.0.0 SOVERSION 0)
+set_target_properties(mrtd PROPERTIES VERSION 0.0.1 SOVERSION 0)
 
 install(TARGETS mrtdreader DESTINATION bin)
 if(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")

=== test/CMakeLists.txt ===
add_executable(test1 test1.c ../src/bachelper.c ../src/crypto-gcrypt.c)
target_link_libraries(test1 gcrypt)

=== debian/changelog ===
mrtdreader (0.1.6-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113297)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 16:26:46 +0300

mrtdreader (0.1.6-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * urgency=medium to allow migration to trixie.

 -- Adrian Bunk <bunk@debian.org>  Sun, 13 Apr 2025 10:21:51 +0300

mrtdreader (0.1.6-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Merge patch from Ubuntu to fix the FTBFS (Closes: #1066260)
    - Thanks to Michael Hudson-Doyle <michael.hudson@ubuntu.com>

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 07 Apr 2025 23:45:50 +0800

mrtdreader (0.1.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062961

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 20:50:54 +0000

mrtdreader (0.1.6-3) unstable; urgency=medium

  * debian/control:
    - Correct Vcs URLs
    - New standards version 4.2.1 - no changes
    - Change email address of maintainer
  * debian/gbp.conf: Using master branch for debian now
  * debian/mrtdreader.1: More info in man page
  * debian/rules:
    - Remove get-orig-source target
    - Remove use of dpkg-parsechangelog
    - Remove trailing whitespace

 -- Ruben Undheim <rubund@debian.org>  Sat, 03 Nov 2018 13:54:55 +0100

mrtdreader (0.1.6-2) unstable; urgency=medium

  * debian/compat: 11
  * debian/control:
    - debhelper >= 11
    - New standards version 4.2.0 - no changes
    - VCS URL now pointing to salsa
  * debian/tests/control and debian/tests/can-link:
    - Added autopkgtest for testing that it is possible to
      link to the library libmrtd
  * debian/upstream/metadata: added metadata pointing to upstream

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 06 Aug 2018 22:12:12 +0200

mrtdreader (0.1.6-1) unstable; urgency=medium

  * New upstream release
    - Fixes some issues with UK and US passports at least
  * debian/control:
    - Changed Vcs-Git to https url
    - Removed -dbg package since -dbgsym is automatically built
  * debian/rules:
    - Remove override of dh_strip target

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 09 Feb 2016 20:12:49 +0100

mrtdreader (0.1.5-3) unstable; urgency=low

  * debian/control: Added "Multi-Arch: same" to allow libmrtd to be
    installed for multiple architectures

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 23 May 2015 22:14:25 +0200

=== debian/control ===
Source: mrtdreader
Maintainer: Ruben Undheim <rubund@debian.org>
Section: utils
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11),
               cmake,
               pkg-config,
               libnfc-dev,
               libgcrypt20-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/rubund/mrtdreader
Vcs-Git: https://salsa.debian.org/rubund/mrtdreader.git
Homepage: https://github.com/rubund/mrtdreader

Package: libmrtd0t64
Provides: ${t64:Provides}
Replaces: libmrtd0
Breaks: libmrtd0 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: MRTD - Machine-readable travel document library
 Machine-readable travel documents such as passports nowadays usually contain
 an RFID chip for storing various data. This library provides useful functions
 for reading out the data from these documents. This version of the library
 supports the Basic Access Control (BAC). It uses several cryptographic
 functions from either libgcrypt or libtomcrypt (depending on compile-time
 options) in order to do the necessary decryption of the content of the MRTDs.
 The key for the BAC-scheme is derived from the Machine-readable zone (MRZ)
 which is printed on the MRTD.
 .
 The library depends on libnfc for the hardware interaction and only devices
 supported by libnfc will therefore work.

Package: libmrtd-dev
Architecture: any
Section: libdevel
Depends: libmrtd0t64 (= ${binary:Version}),
         libgcrypt20-dev,
         libnfc-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Development files for libmrtd0t64
 Machine-readable travel documents such as passports nowadays usually contain
 an RFID chip for storing various data. This library provides useful functions
 for reading out the data from these documents. This version of the library
 supports the Basic Access Control (BAC). It uses several cryptographic
 functions from either libgcrypt or libtomcrypt (depending on compile-time
 options) in order to do the necessary decryption of the content of the MRTDs.
 The key for the BAC-scheme is derived from the Machine-readable zone (MRZ)
 which is printed on the MRTD.
 .
 The library depends on libnfc for the hardware interaction and only devices
 supported by libnfc will therefore work.
 .
 This package contains header files for building programs linked with
 libmrtd0.

Package: mrtdreader
Architecture: any
Depends: libmrtd0t64 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: graphicsmagick
Description: Reader for machine-readable travel documents (MRTDs / passports)
 This program takes as input the content of the machine-readable zone of
 machine-readable travel documents and then reads out some data and dumps the
 facial image to a file.
 .
 It is the example application delivered together with libmrtd.
 .
 Only reader devices which are fully supported by libnfc will work.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/tests/control ===
Tests: can-link
Depends: libmrtd-dev, gcc, pkg-config
